All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.webdav
Class DavPropertyItem

    com.sas.services.webdav.DavPropertyItem

    public class DavPropertyItem

Item representing a DAV property.

- `DavProperty`
- HTTP status code
- HREF of the property's DAV resource

Since:
  9.4m8

Constructor Summary
`DavPropertyItem(org.apache.jackrabbit.webdav.property.DavProperty<?> davProperty, int httpStatusCode, java.lang.String davResourceHref)` Constructs an instance.

Method Summary
`org.apache.jackrabbit.webdav.property.DavProperty<?>` | `getDavProperty()` Gets the DAV property.
`java.lang.String` | `getDavResourceHref()` Gets the DAV resource's href.
`int` | `getStatusCode()` Gets the HTTP status code.
`void` | `setDavProperty(org.apache.jackrabbit.webdav.property.DavProperty<?> davProperty)` Sets the DAV property.
`void` | `setDavResourceHrf(java.lang.String href)` Sets the DAV resource's href.
`void` | `setStatusCode(int statusCode)` Sets the HTTP status code.

Constructor Detail

### DavPropertyItem

    public DavPropertyItem(org.apache.jackrabbit.webdav.property.DavProperty<?> davProperty,
                           int httpStatusCode,
                           java.lang.String davResourceHref)

  Constructs an instance.

Method Detail

### getDavProperty

    public org.apache.jackrabbit.webdav.property.DavProperty<?> getDavProperty()

  Gets the DAV property.

  Returns:
    DAV property.

### setDavProperty

    public final void setDavProperty(org.apache.jackrabbit.webdav.property.DavProperty<?> davProperty)

  Sets the DAV property.

  Parameters:
    `davProperty` - DAV property.

### getStatusCode

    public int getStatusCode()

  Gets the HTTP status code.

  Returns:
    HTTP status code.

### setStatusCode

    public final void setStatusCode(int statusCode)

  Sets the HTTP status code.

  Parameters:
    `statusCode` - HTTP status code.

### getDavResourceHref

    public java.lang.String getDavResourceHref()

  Gets the DAV resource's href.

  Returns:
    DAV resource's href.

### setDavResourceHrf

    public final void setDavResourceHrf(java.lang.String href)

  Sets the DAV resource's href.

  Parameters:
    `href` - DAV resource's href.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.